Package com.google.android.exoplayer2.database

## Class ExoDatabaseProvider

- java.lang.Object
- - android.database.sqlite.SQLiteOpenHelper
  - - com.google.android.exoplayer2.database.StandaloneDatabaseProvider
    - - com.google.android.exoplayer2.database.ExoDatabaseProvider

- All Implemented Interfaces:
    `DatabaseProvider`, `AutoCloseable`

      @Deprecated
      public final class ExoDatabaseProvider
      extends StandaloneDatabaseProvider

  Deprecated.
  Use `StandaloneDatabaseProvider`.

- - ### Field Summary

    - ### Fields inherited from class com.google.android.exoplayer2.database.StandaloneDatabaseProvider

      `DATABASE_NAME`

    - ### Fields inherited from interface com.google.android.exoplayer2.database.DatabaseProvider

      `TABLE_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExoDatabaseProvider​(Context context)` | Deprecated.

  - ### Method Summary

    - ### Methods inherited from class com.google.android.exoplayer2.database.StandaloneDatabaseProvider

      `onCreate, onDowngrade, onUpgrade`

    - ### Methods inherited from class android.database.sqlite.SQLiteOpenHelper

      `close, getDatabaseName, getReadableDatabase, getWritableDatabase, onConfigure, onOpen, setIdleConnectionTimeout, setLookasideConfig, setOpenParams, setWriteAheadLoggingEnabled`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.android.exoplayer2.database.DatabaseProvider

      `getReadableDatabase, getWritableDatabase`

- - ### Constructor Detail

    - #### ExoDatabaseProvider

          public ExoDatabaseProvider​(Context context)

      Deprecated.